Bug 1303748 - Blocked channels and queues using HA
Blocked channels and queues using HA
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: rabbitmq-server (Show other bugs)
5.0 (RHEL 7)
Unspecified Unspecified
high Severity high
: async
: 5.0 (RHEL 7)
Assigned To: Peter Lemenkov
yeylon@redhat.com
: ZStream
Depends On: 1303745
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 15:07 EST by John Eckersberg
Modified: 2016-04-26 14:45 EDT (History)
9 users (show)

See Also:
Fixed In Version: rabbitmq-server-3.3.5-16.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, if the rabbit_mirror_queue_master did not return when using HA and 'auto_delete' queues, the RabbitMQ server blocked channels during termination. These channels would then have no associated connections and were displayed as 'unknown'. This issue has been resolved.
Story Points: ---
Clone Of: 1303745
Environment:
Last Closed: 2016-03-08 17:54:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0369 normal SHIPPED_LIVE Moderate: rabbitmq-server security and bug fix update 2016-03-08 22:52:44 EST

  None (edit)
Description John Eckersberg 2016-02-01 15:07:48 EST
+++ This bug was initially created as a clone of Bug #1303745 +++

https://github.com/rabbitmq/rabbitmq-server/issues/581

Likely a problem in all OSP versions.  This would explain a lot of weird partition-related hangs and such.
Comment 1 Peter Lemenkov 2016-02-17 09:39:47 EST
Build rabbitmq-server-3.3.5-8.5.el7ost for rhos-5.0-rhel-7.
Comment 6 nlevinki 2016-03-03 04:50:04 EST
code is in
rabbitmq-server-3.3.5-18.el7ost.noarch
automation passed and this puddle fixed rabbit issues
https://rhos-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/view/RHOS/view/RHOS5/job/rhos-jenkins-rhos-5.0-puddle-rhel-7.2-multi-node-packstack-neutron-ml2-gre-rabbitmq-tempest-git-all/12/
Comment 10 errata-xmlrpc 2016-03-08 17:54:44 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0369.html

Note You need to log in before you can comment on or make changes to this bug.